Subject: Re: netfilter: ipset: fix incorret comparison in hash_netnet4_data_equal()

From: Pablo Neira Ayuso <[email-masked]>
Date: Sat, 7 Dec 2013 23:34:36 +0100

On Sat, Dec 07, 2013 at 08:53:52PM +0100, Jozsef Kadlecsik wrote:
> On Sat, 7 Dec 2013, Oliver wrote:
> 
> > On Monday 25 November 2013 22:45:11 Pablo Neira Ayuso wrote:
> > > On Thu, Nov 14, 2013 at 10:41:01AM -0500, Dave Jones wrote:
> > > > Both sides of the comparison are the same, looks like a cut-and-paste
> > > > error.
> > 
> > Just a typo unfortunately.
> > 
> > The change should definitely make its way into mainline before 3.13 gets 
> > released - is it on track to be pulled into davem's net tree or should I 
> > get that sorted out myself?
> 
> I'm going to submit the patch to Pablo at the beginning of next week, so 
> it'll follow the normal track.

JFYI, I applied this already:

http://www.spinics.net/lists/netfilter-devel/msg29031.html

If unsure, please check my tree:

http://git.kernel.org/cgit/linux/kernel/git/pablo/nf.git/